## mountlist mountlist |

## Functions

glibtop_mountentry * | glibtop_get_mountlist ()
glibtop_mountentry * | glibtop_get_mountlist_l ()
glibtop_mountentry * | glibtop_get_mountlist_s ()

## Types and Values

#define | GLIBTOP_MOUNTLIST_NUMBER
#define | GLIBTOP_MOUNTLIST_TOTAL
#define | GLIBTOP_MOUNTLIST_SIZE
#define | GLIBTOP_MAX_MOUNTLIST
struct | glibtop_mountentry
struct | glibtop_mountlist
#define | glibtop_get_mountlist_r

## Includes

    #include <glibtop/mountlist.h>

## Description

## Functions

### glibtop_get_mountlist ()

    glibtop_mountentry *
    glibtop_get_mountlist (glibtop_mountlist *buf,
                           int all_fs);

#### Returns

.

[transfer full][array zero-terminated=1]

### glibtop_get_mountlist_l ()

    glibtop_mountentry *
    glibtop_get_mountlist_l (glibtop *server,
                             glibtop_mountlist *buf,
                             int all_fs);

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]

### glibtop_get_mountlist_s ()

    glibtop_mountentry *
    glibtop_get_mountlist_s (glibtop *server,
                             glibtop_mountlist *buf,
                             int all_fs);

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]

## Types and Values

### GLIBTOP_MOUNTLIST_NUMBER

    #define GLIBTOP_MOUNTLIST_NUMBER 0

### GLIBTOP_MOUNTLIST_TOTAL

    #define GLIBTOP_MOUNTLIST_TOTAL		1

### GLIBTOP_MOUNTLIST_SIZE

    #define GLIBTOP_MOUNTLIST_SIZE		2

### GLIBTOP_MAX_MOUNTLIST

    #define GLIBTOP_MAX_MOUNTLIST		3

### struct glibtop_mountentry

    struct glibtop_mountentry {
    	guint64 dev;
    	char devname [GLIBTOP_MOUNTENTRY_LEN+1];
    	char mountdir [GLIBTOP_MOUNTENTRY_LEN+1];
    	char type [GLIBTOP_MOUNTENTRY_LEN+1];
    };

### struct glibtop_mountlist

    struct glibtop_mountlist {
    	guint64 flags;
    	guint64 number;			/* GLIBTOP_MOUNTLIST_NUMBER */
    	guint64 total;			/* GLIBTOP_MOUNTLIST_TOTAL */
    	guint64 size;			/* GLIBTOP_MOUNTLIST_SIZE */
    };

### glibtop_get_mountlist_r

    #define glibtop_get_mountlist_r		glibtop_get_mountlist_s

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]